Page MenuHomeFreeBSD

Update gitlab to version 10.5.7.
ClosedPublic

Authored by mfechner on Apr 4 2018, 5:16 PM.
Tags
None
Referenced Files
F82032220: D14963.id41186.diff
Wed, Apr 24, 7:25 PM
Unknown Object (File)
Tue, Apr 23, 2:12 PM
Unknown Object (File)
Fri, Apr 19, 3:06 PM
Unknown Object (File)
Thu, Apr 18, 8:03 PM
Unknown Object (File)
Thu, Apr 18, 8:03 PM
Unknown Object (File)
Thu, Apr 18, 8:03 PM
Unknown Object (File)
Thu, Apr 18, 8:03 PM
Unknown Object (File)
Thu, Apr 18, 7:42 PM
Subscribers

Details

Summary

This commit can happen earliest if all pending reviews are committed, I will take care of this.

Commit message will be:
Update gitlab to version 10.5.6.
For changelog what changed to 10.5 release see here: https://about.gitlab.com/2018/02/22/gitlab-10-5-released/

Reviewed by: tz/swills (mentor)
Approved by: tz/swills (mentor)
Differential Revision: URL to this revision

Test Plan

All patches are build, you can find all build logs:
https://pkg.fechner.net/jail.html?mastername=111amd64-gitlab

The fresh packages are tested against a new installation using:
https://gitlab.fechner.net/mfechner/Gitlab-vagrant

An old version is updated following the manual:
https://gitlab.fechner.net/mfechner/Gitlab-docu

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

tz requested changes to this revision.Apr 5 2018, 9:26 AM

Can you please update to 10.5.7 since it fixes new security issues?

www/gitlab/files/patch-Gemfile
166 ↗(On Diff #41103)

Just some nitpicking: one whitespace should be enough ;)

Also as i remember was rinku not in the original Gemfile. Therefore i added it always as last entry to make this more visible. Even better would be a comment, since its not really clear.

This revision now requires changes to proceed.Apr 5 2018, 9:26 AM
mfechner retitled this revision from Update gitlab to version 10.5.6. to Update gitlab to version 10.5.7..

Updated diff to 10.5.7 and corrected lines mentioned.

This revision is now accepted and ready to land.Apr 5 2018, 4:12 PM
This revision was automatically updated to reflect the committed changes.